<section class='panel' data-ng-controller="ServicesController">
  <header class="panel-heading higher-panel-heading">
    Settings Service
  </header>
  <div class="panel-body" class="col-md-12" ng-init="initCreate()">
   
          
          
          
    
    <div class="form-group row">
      <div class="col-md-6">
           
              <ui-select ng-model="selectedService.service" theme="select2" style="width: 100%;" on-select="addCustom()">
              <ui-select-match placeholder="Select a service..." >{{$select.selected.label}}</ui-select-match>
              <ui-select-choices group-by="groupByCategory" group-filter="groupSort" repeat="service.value as service in services | propsFilter: {label: $select.search}"  >
                <div ng-bind-html="service.label | highlight: $select.search" ></div>
              </ui-select-choices>
            </ui-select>
      </div>
      <div style="margin-top: 10px;" class="col-md-12" ng-repeat="disc in discount_service track by $index">
             <span class="col-md-8"> {{disc}}</span> <span class="col-md-4"><button class="btn btn-danger btn-lg" ng-click="removeCustom($index);"> Remove</button></span>
      
      </div>

             <fieldset style="margin-top: 30px;" class="col-md-12" ng-repeat='discount in discount_settings track by $index'>
            
            <div class="col-md-3">
              <input class="form-control" type="number" ng-model="discount.price" placeholder="Discount Price" />
            </div>
            <div class="col-md-3">
              <input class="form-control" type="number" ng-model="discount.percentage" placeholder="Discount Percentage" />
            </div>
            <div class="col-md-4">
              <button ng-show='$last' class="btn btn-primary btn-lg" ng-click="addDiscount($event, discount.price, discount.percentage, $index, discount.service);">Add</button>
              <button class="btn btn-danger btn-lg" ng-click="removeDiscount($event, $index);"> Remove</button>

            </div>
            
          </fieldset>
          <div class="col-md-12" style="margin-top: 50px;">
              <span class="col-md-offset-4">
                <button class="btn btn-warning btn-lg" ng-click="createDiscount()"> Create </button>
              </span>
           </div>
          </div>
  </div>
  <div class="panel-body" ng-init="serviceDiscount()">
   
  <table ng-table="tableParams" show-filter="true" class="ng-table-responsive table table-striped table-advance table-hover services">
        <tr data-ng-repeat="discount in $data">
          <td data-title="'Name'" ><a data-ng-href="#!/services/modify/{{discount._id}}">{{discount.service}}</a></td>
          <td data-title="'Price'" ><a data-ng-href="#!/services/modify/{{discount._id}}">{{discount.price}}</a></td>
          <td data-title="'Percentage'" ><a data-ng-href="#!/services/modify/{{discount._id}}">{{discount.percentage}}</a></td>
        </tr>
  </table>


  </div>
</section>
